<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
   "http://www.w3.org/TR/html4/strict.dtd">

<html>
<!--#include virtual="/ApolloRNA/download_count.cgi" -->

<head>
<link rel="stylesheet" type="text/css" href="apollorna.css"> 
<title>ApolloRNA: downloading and installing</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<meta name="Description" content="ApolloRNA: download and install">
<meta name="Keywords" content="ApolloRNA, Apollo, ncRNA, ARNnc, visualization, visualisation, identification">
</head>

<body class="body">

<table CELLSPACING=15>
	<tr valign="top" align="left"><td><img src="images/ApolloRNA_45.png" alt="ApolloRNA image"></td><td class="title">Download and install</td></tr>
</table>

<div class="menu">
<a href="index.html">HOME</a> | 
<a href="download.html" class="currentlink">DOWNLOAD</a> | 
<a href="userguide.html">USERGUIDE</a> | 
<a href="convert.html">CONVERT DATA</a> | 
<a href="faq.html">FAQ</a><br>
</div>


<p class="contain">
ApolloRNA is supported on Windows, MAC OS X and Linux type platforms.<br>
Note that the installation requires to install several softwares: <a href="http://apollo.berkeleybop.org/current/index.html">Apollo</a>, convert from the <a href="http://www.imagemagick.org/script/index.php">ImageMagick</a> package, <a href="http://www.tbi.univie.ac.at/~ivo/RNA/RNAfold.html">RNAfold</a> and <a href="http://www.tbi.univie.ac.at/~ivo/RNA/RNAeval.html">RNAeval</a> from the <a href="http://www.tbi.univie.ac.at/~ivo/RNA/">Vienna RNA package</a>. <br>
<b>Administrator access is required to easily install ImageMagick on your computer.</b><br>
<br>
A download and install protocol is described on <a href="http://www.natureprotocols.com/2007/07/06/visualizing_and_exploring_geno.php">Nature Protocols Networks</a>.<br>

Below, a short description is also provided for the considered platforms:
<div class="contain">
<ul>
<li><a href="#apolloRNAInstallWindows">WINDOWS instructions</a></li>
<li><a href="#apolloRNAInstallMac">MAC OS X instructions</a></li>
<li> <a href="#apolloRNAInstallLinux">LINUX instructions</a></li>
</ul>
</div>

<hr>

<!-- Installation for Windows-->

<div class="title1">Windows Instructions</div>
<div class="contain">
<ul>
	<li>Go to the <a href="http://apollo.berkeleybop.org/current/install.html">Apollo download page</a>, download installer for Windows  (which includes Java VM) and follow <a href="http://apollo.berkeleybop.org/current/install.html#windows">installation instructions</a>. <br>
	</li>

	<li>Under the Apollo root directory, in the jars directory, rename apollo.jar to apollo.jar.save.
	</li>

	<li>Go to the <a href="https://sourcesup.renater.fr/frs/?group_id=3696">ApolloRNA download page</a> and download the file apollo.jar in the Apollo root directory.
	</li>

	<li>Save the files <a href="http://www.tbi.univie.ac.at/~ivo/RNA/windoze/RNAfold.exe">RNAfold.exe</a> and <a HREF="http://www.tbi.univie.ac.at/~ivo/RNA/windoze/RNAeval.exe"> RNAeval.exe</a> in the Apollo root directory.<br>
	</li>

	<li> Configure environment variable <i>Path</i> :
		<ul>
		<li>On the desktop, click Start, click Control Panel, (For Windows XP Professionnal users, click Performance and Maintenance), and then click System. </li>
		<li>On the Advanced tab, click Environment Variables.</li>
		
		<li>
		<i>If the User variable 'Path' exists:</i>
		<blockquote><p>Select 'Path', click edit and add at the end of the value line <i>";"+way of the Apollo root directory</i>.<br> For instance, if the Apollo root directory is C:\Documents and Settings\dupont\Apollo, add the text: <pre>;C:\Documents and Settings\dupont\Apollo</pre>
		</blockquote>
		<i>Else:</i>
		<blockquote><p>Click add, create a variable named 'Path' and affect it the value <I>way of the Apollo root directory.</I> <br>For instance, if the Apollo root directory is C:\Documents and Settings\dupont\Apollo, affect the text: <pre>C:\Documents and Settings\dupont\Apollo</pre>
		</blockquote>
		</li>
		</ul>
	</li>
	
	<li>Install ImageMagick for Windows
	<ul>
		<li> Go to <a href="http://www.imagemagick.org/script/binary-releases.php#windows"> ImageMagick page</a>.</li>
		<li> Download the appropriated executable file.</li>
		<li> Execute it.</li>
	</ul>
	</li>

	<li> Install Ghostscript
	<ul> 
		<li> Go to <a href="http://sourceforge.net/project/showfiles.php?group_id=1897">ghostscript download page</a>.</li>
		<li> In the part "File Releases", in subpart "AFPL Ghostscript", download gs854w32.exe.</li>
		<li> Execute it.</li>
	</ul>
	</li>
</ul>
<b>To launch ApolloRNA</b>: in the Apollo root directory, click the Apollo icon.<br><br>
</div>

<div><a name="apolloRNAInstallMac"></a></div>
<HR>

<!-- Installation for MAC OS X-->

<div class="title1">Mac OS X Instructions</div>

<div class="contain">
<ul>
	<li>Go to the <a href="http://apollo.berkeleybop.org/current/install.html">Apollo download page</a>, download installer for WindowsMAC OS X and follow <a href="http://apollo.berkeleybop.org/current/install.html#macosx">installation instructions</a>.  <br>
	</li>
	<li>Check if SUN Java1.5 is installed on your computer. (To know the java version, open a shell and at the prompt, type:
		
		<b><code>&nbsp;java -version</code></b>)
		<br>
		<i>If Java1.5 isn't installed, go to<a href="http://www.apple.com/softwareupdate/"> Apple's instructions on how to do this</a>, using Software Updates.</i>

	</li>
	<li>Configure Apollo for Java
		<ul>
		<li>Open a shell and at the prompt, type: 
		<b><code>&nbsp;which java</code></b>
		<br>
		The displayed line is for instance "/usr/bin/java"
		</li>
		<li>In the Apollo root directory, in the subdirectory conf, open apollo.cfg and add for instance the line: <pre>JavaPath		"/usr/"</pre>
		</li>
		</ul>
	</li>

	<li>Undet the Apollo root directory, in the jars directory, rename apollo.jar to apollo.jar.save.
	</li>
	<li>Go to the <a href="https://sourcesup.renater.fr/frs/?group_id=3696">ApolloRNA download page</a> and download the file apollo.jar in the Apollo root directory.
	</li>
	<li>Install the Vienna RNA package (which included RNAfold et RNAeval)
		<ul>
		<li> Go to the <a href="http://www.tbi.univie.ac.at/~ivo/RNA/"> main page of the Vienna RNA Package</a>.</li>
		<li> Click 'source distribution here' link and save the ViennaRNA gz file. </li>
		<li> To install the Vienna RNA package, follow instructions <a href="http://www.tbi.univie.ac.at/~ivo/RNA/INSTALL.html">here</a>.</li>
		</ul>
	</li>

	<li>Install ImageMagick
		<ul>
		<li> Download <a href="ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick.tar.gz">ImageMagick.tar.gz</a> and save it in your Applications directory.</li>
		<li> Open a shell and go (command <code><b>cd</b></code>) to the Applications directory.</li>
		<li> Follow the <a href="http://www.imagemagick.org/script/install-source.php#unix">Unix installation instructions.</a></li>
		</ul>
	</li>
		
	<li>Install Ghostscript
		<ul>
		<li> Go to <a href="http://sourceforge.net/project/showfiles.php?group_id=1897">Ghostscript download page</a>.</li>
		<li> In part "File Releases", in subpart "AFPL Ghostscript", download ghostscript-8.54.tar.gz in your Applications directory.</li>
		<li> To unpack it, open a shell and go to the Applications directory.<br>At the prompt, type:
		
		<b><code>&nbsp;tar xzvf ghostscript-8.54.tar.gz</code></b>
		</li>
		<li> To install Ghostscript, type:
		
		<blockquote><p><b><code> 
			cd ghostscript-8.54 <br>
			./configure<br>
			make <br>
			make install<br>
		</code></b></p></blockquote>
		</li>
		</ul>
	</li>
</ul>
<b>To launch ApolloRNA</b>: open a shell, go to the Apollo root directory and type: <b><code>apollo</code></b>
<br><br>
</div>

<div><a name="apolloRNAInstallLinux"></a></div>

<hr>

<!-- Installation for LINUX-->
<div class="title1">Linux Instructions<br>
</div>

<div class="contain">
<ul>
	<li>Go to the <a href="http://apollo.berkeleybop.org/current/install.html">Apollo download page</a>, download installer for Linux (which includes Java VM)  and follow <a href="http://apollo.berkeleybop.org/current/install.html#linux">installation instructions</a>..
	</li>
	<li>Under the Apollo root directory, in thr jars directory, rename apollo.jar to apollo.jar.save.
	</li>
	<li>Go to the <a href="https://sourcesup.renater.fr/frs/?group_id=3696">ApolloRNA download page</a> and download the file apollo.jar in the Apollo root directory.
	</li>
	<li>Install the Vienna RNA package (which included RNAfold et RNAeval)
		<ul>
		<li> Go to the <a href="http://www.tbi.univie.ac.at/~ivo/RNA/"> main page of Vienna RNA Package</a>.</li>
		<li> Click 'source distribution here' link and save the ViennaRNA gz file.</li>
		<li> To install the Vienna RNA package, follow instructions <a href="http://www.tbi.univie.ac.at/~ivo/RNA/INSTALL.html">here</a>.</li>
		</ul>
	</li>

	<li>Install ImageMagick
		<ul>
		<li> Download <a href="ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick.tar.gz">ImageMagick.tar.gz</a>.</li>
		<li> Open a shell and go to the directory where the file was downloaded.</li>
		<li> Follow the <a href="http://www.imagemagick.org/script/install-source.php#unix">Unix installation instructions</a>.</li>
		</ul>
	</li>
		
	<li>Install Ghostscript
		<ul>
		<li> Go to <a href="http://sourceforge.net/project/showfiles.php?group_id=1897">Ghostscript download page</a>.</li>
		<li>In part "File Releases", in subpart "AFPL Ghostscript", download ghostscript-8.54.tar.gz.</li>
		<li>To unpack it, open a shell and go to the directory where the file was downloaded.
		<br>At the prompt, type:
		<b><code>&nbsp;tar xzvf ghostscript-8.54.tar.gz</code></b></li>
		<li>To install Ghostscript, type:
		<blockquote><p><b><code> 
			cd ghostscript-8.54 <br>
			./configure<br>
			make <br>
			make install<br>
		</code></b></p></blockquote>
		</li>
		</ul>
	</li>	
</ul>
<b>To launch ApolloRNA</b>: open a shell, go to the Apollo root directory and type: <b><code>apollo</code></b>
<br><br>
</div>
<hr>

<p class="update">
Last update: January 4, 2018
</p>

</body>
</html>
